Install silverstripe4 on mac via composer

composer createproject silverstripe/installer ./my/website/folder
Got error: need to install php-intl
Solution: change default php7.1 to php7.3 by
vi ~/.bash_profile

export PATH=/usr/local/opt/[email protected]/bin:$PATH
source ~/.bash_profile
now, php -v shows php7.3
php -i | grep intl
run composer createproject silverstripe/installer ./my/website/folder again and looks fine
Go to http://localhost/install.php shows error says need to set timezone
vi php.ini set date.timezone = ‘Pacific/Auckland’
make it work: brew services restart php73

Leave a Reply

Your email address will not be published. Required fields are marked *